[hsflinux] hsf driver problems with Ubuntu 7.10, 2.6.22-15 kernel

Irihapeti ngakaumarie-ubi at yahooxtra.co.nz
Tue Jul 8 20:43:03 EDT 2008

Thanks for your reply, Jonathan

Unfortunately for diagnostic purposes, I've upgraded to Ubuntu 8.04 
since I posted my message and the diagnostic file I created got deleted 
in the upgrade. I do recall that I used the command "sudo 
hsfconfig--uninstall" and I received a message along the lines of "could 
not uninstall". All license information had disappeared as well. My 
eventual workaround was to reinstall from the source package, over the 
top of the malfunctioning package, and then uninstall, this time 

I'm sorry I can't be of much further help here.


Linuxant support (Jonathan) wrote:
> Hi,
> pre-compiled HSF driver packages for the 2.6.22-15-* kernels of Ubuntu 
> 7.10 are now available on our Web Site. They can be downloaded from:
> http://www.linuxant.com/drivers/hsf/full/downloads.php
> How did you try to uninstall the HSF driver and what error message(s) 
> you did get? Using the 'sudo hsfconfig --uninstall' command on Ubuntu is 
> the preferred method and it will work no matter what package type you 
> did install.
> For the 2.6.22-15-* kernel, if it still not working correctly, please 
> send to support at linuxant.com the output of 'dumpdiag'. Type the 
> following in a shell while running the 2.6.22-15-* kernel:
> ---
> sudo hsfconfig --dumpdiag
> ---
> Just send us the generated file located in /tmp ('hsfdiag.txt').
> It'll help us solve the problem.
> Regards,
> Jonathan
> Technical specialist / Linuxant
> www.linuxant.com
> support at linuxant.com
> Irihapeti wrote:
>> I recently upgraded the Ubuntu 7.10 kernel from 2.6.22-14 to 2.6.22-15 
>> as part of the automatic update process. I removed the older driver 
>> (.deb package) and installed a replacement from 
>> hsfmodem-, which I happened to have already on my 
>> computer. After two days or so of apparently normal functioning, it 
>> stopped working properly, taking the modem off-hook as soon as I booted. 
>> I had some difficulty uninstalling it. Trying to install the 
>> package instead didn't work, either.
>> For the moment, I've downgraded the kernel to 2.6.22-14 and reinstalled 
>> the .deb package. I note that there isn't a precompiled .deb version for 
>> the 2.6.22-15 kernel. What would I need to do to be fully operational 
>> with the later kernel? Does it need the new alsa driver as well?
>> _______________________________________________
>> hsflinux mailing list
>> hsflinux at lists.linuxant.com
>> https://www.linuxant.com/mailman/listinfo/hsflinux
> _______________________________________________
> hsflinux mailing list
> hsflinux at lists.linuxant.com
> https://www.linuxant.com/mailman/listinfo/hsflinux
-------------- next part --------------
An HTML attachment was scrubbed...
URL: http://www.linuxant.com/pipermail/hsflinux/attachments/20080709/c02f90a5/attachment.html 

More information about the hsflinux mailing list